targets:
  SybilApp:
    type: application
    supportedDestinations:
      - iOS
      - macCatalyst
    deploymentTarget: "18.0"
    sources:
      - Sources
      - Resources
    dependencies:
      - package: Sybil
        product: Sybil
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: net.buzzert.sybil2
        PRODUCT_NAME: Sybil
        PRODUCT_MODULE_NAME: SybilApp
        DEVELOPMENT_TEAM: DQQH5H6GBD
        CODE_SIGN_STYLE: Automatic
        SWIFT_VERSION: 6.0
        SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD: NO
        TARGETED_DEVICE_FAMILY: "1,2,6"
        GENERATE_INFOPLIST_FILE: YES
        INFOPLIST_FILE: Apps/Sybil/Info.plist
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        MARKETING_VERSION: "1.10"
        CURRENT_PROJECT_VERSION: 11
        INFOPLIST_KEY_CFBundleDisplayName: Sybil
        INFOPLIST_KEY_ITSAppUsesNonExemptEncryption: NO
        INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents: YES
        INFOPLIST_KEY_UILaunchScreen_Generation: YES
        INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone: UIInterfaceOrientationPortrait
        INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad: UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight
      configs:
        Release:
          CODE_SIGN_STYLE: Manual
          CODE_SIGN_IDENTITY: "Apple Distribution: James Magahern (DQQH5H6GBD)"
          "CODE_SIGN_IDENTITY[sdk=iphoneos*]": "Apple Distribution: James Magahern (DQQH5H6GBD)"
          PROVISIONING_PROFILE_SPECIFIER: Sybil AppStore CI

schemes:
  Sybil:
    build:
      targets:
        SybilApp: all
    run:
      config: Debug
    test:
      config: Debug
    archive:
      config: Release
